%global collection_namespace google
%global collection_name cloud

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        0.10.3
Release:        1%{?dist}
Summary:        Google Cloud Platform collection

# roles/gcloud: MIT
License:        GPLv2+ and MIT
URL:            %{ansible_collection_url}
Source:         https://github.com/ansible-collections/google.cloud/archive/v%{version}/%{name}-%{version}.tar.gz
# Fixup version of collection
Patch0001:      https://github.com/ansible-collections/google.cloud/commit/11e5da0e3af79e8422dd30ddceb837928ccd6bfd.patch#/0001-some-fixes.patch

BuildRequires:  ansible
BuildRequires:  python3-rpm-macros
Requires:       python%{python3_version}dist(requests)
Requires:       python%{python3_version}dist(google-auth)

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n google.cloud-%{version} -p1
rm -vr molecule .github .ansible-lint .yamllint requirements.txt
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license LICENSE
%doc README.md
%{ansible_collection_files}

%changelog
* Sun Aug 09 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.10.3-1
- Initial package
